Workflows
Delete Workflow
Delete a Workflow and its run history
DELETE
/
workflows
/
{id}
curl -X DELETE "https://api.clustr-ai.com/api/public/workflows/7f1e2a33-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": { "message": "Workflow deleted successfully" }
}
{
"success": false,
"error": { "message": "workflow not found", "code": "NOT_FOUND" }
}
Path Parameters
string
required
The Workflow’s id.
curl -X DELETE "https://api.clustr-ai.com/api/public/workflows/7f1e2a33-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": { "message": "Workflow deleted successfully" }
}
{
"success": false,
"error": { "message": "workflow not found", "code": "NOT_FOUND" }
}
⌘I
curl -X DELETE "https://api.clustr-ai.com/api/public/workflows/7f1e2a33-..." \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": { "message": "Workflow deleted successfully" }
}
{
"success": false,
"error": { "message": "workflow not found", "code": "NOT_FOUND" }
}